<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Remove ServiceType
 * @subpackage Services
 */
class Remove extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Remove_Vehicles_From_Dispatchers
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Vehicles_From_Dispatchers $parameters
     * @return \StructType\Remove_Vehicles_From_DispatchersResponse|bool
     */
    public function Remove_Vehicles_From_Dispatchers(\StructType\Remove_Vehicles_From_Dispatchers $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Vehicles_From_Dispatchers($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_ViaRoute_From_Vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_ViaRoute_From_Vehicle $parameters
     * @return \StructType\Remove_ViaRoute_From_VehicleResponse|bool
     */
    public function Remove_ViaRoute_From_Vehicle(\StructType\Remove_ViaRoute_From_Vehicle $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_ViaRoute_From_Vehicle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_SocialPoi_To_Driver
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_SocialPoi_To_Driver $parameters
     * @return \StructType\Remove_SocialPoi_To_DriverResponse|bool
     */
    public function Remove_SocialPoi_To_Driver(\StructType\Remove_SocialPoi_To_Driver $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_SocialPoi_To_Driver($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_GeoFence_From_Vehicle
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_GeoFence_From_Vehicle $parameters
     * @return \StructType\Remove_GeoFence_From_VehicleResponse|bool
     */
    public function Remove_GeoFence_From_Vehicle(\StructType\Remove_GeoFence_From_Vehicle $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_GeoFence_From_Vehicle($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_Vehicle_From_Group
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Vehicle_From_Group $parameters
     * @return \StructType\Remove_Vehicle_From_GroupResponse|bool
     */
    public function Remove_Vehicle_From_Group(\StructType\Remove_Vehicle_From_Group $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Vehicle_From_Group($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_Trailer_From_Group
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Trailer_From_Group $parameters
     * @return \StructType\Remove_Trailer_From_GroupResponse|bool
     */
    public function Remove_Trailer_From_Group(\StructType\Remove_Trailer_From_Group $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Trailer_From_Group($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_Driver_From_Group
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Driver_From_Group $parameters
     * @return \StructType\Remove_Driver_From_GroupResponse|bool
     */
    public function Remove_Driver_From_Group(\StructType\Remove_Driver_From_Group $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Driver_From_Group($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_Group_From_Dispatcher
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Group_From_Dispatcher $parameters
     * @return \StructType\Remove_Group_From_DispatcherResponse|bool
     */
    public function Remove_Group_From_Dispatcher(\StructType\Remove_Group_From_Dispatcher $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Group_From_Dispatcher($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_Resources_From_Group
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_Resources_From_Group $parameters
     * @return \StructType\Remove_Resources_From_GroupResponse|bool
     */
    public function Remove_Resources_From_Group(\StructType\Remove_Resources_From_Group $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_Resources_From_Group($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named Remove_NextStops
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Remove_NextStops $parameters
     * @return \StructType\Remove_NextStopsResponse|bool
     */
    public function Remove_NextStops(\StructType\Remove_NextStops $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Remove_NextStops($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\Remove_Driver_From_GroupResponse|\StructType\Remove_GeoFence_From_VehicleResponse|\StructType\Remove_Group_From_DispatcherResponse|\StructType\Remove_NextStopsResponse|\StructType\Remove_Resources_From_GroupResponse|\StructType\Remove_SocialPoi_To_DriverResponse|\StructType\Remove_Trailer_From_GroupResponse|\StructType\Remove_Vehicles_From_DispatchersResponse|\StructType\Remove_Vehicle_From_GroupResponse|\StructType\Remove_ViaRoute_From_VehicleResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
